Bug 495875 - (leonidas-kde-theme) Review Request: leonidas-kde-theme - Leonidas KDE Theme
Review Request: leonidas-kde-theme - Leonidas KDE Theme
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 07:05 EDT by Jaroslav Reznik
Modified: 2009-04-22 16:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 16:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2009-04-15 07:05:10 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/leonidas-kde-theme/leonidas-kde-theme.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/leonidas-kde-theme/leonidas-kde-theme-0.2.0-1.fc10.src.rpm
Description: This is Leonidas KDE Theme Artwork containing KSplash theme, KDM theme and wallpapers theme. 

Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1299924

This is first quick preview as we need this package asap...
Comment 1 Rex Dieter 2009-04-15 08:13:47 EDT
I can take a look.
Comment 2 Rex Dieter 2009-04-15 10:16:27 EDT
tested it out... for a first try, it looks pretty darn good.

rpmlint leonidas-kde-theme
leonidas-kde-theme.noarch: W: dangling-relative-symlink /usr/share/wallpapers/leonidas_wide.png ../backgrounds/leonidas/lion/wide/1920x1200/leonidas-1-noon.png
leonidas-kde-theme.noarch: W: dangling-relative-symlink /usr/share/wallpapers/leonidas_high.png ../backgrounds/leonidas/lion/normalish/1280x1024/leonidas-1-noon.png
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Tested against leonidas-backgrounds-common-10.93.1-1.fc11.noarch
looks like the targets are jpg's not png's, but that's something that can be sorted out later. (nonblocking)

SHOULD:
1.  Address rpmlint warnings (above)
2.  near Source URL, include a comment pointing to fedorahosted.org/leonidas-kde-theme upstream
3.  License:  leonidas-backgrounds-common is CC-BY-SA, but GPLV2 is also included here, is that the other/plymouth bits?  (either way, documenting which parts are licensed which in a comment would help clarify for posterity).

Otherwise, it's really a simple noarch pkg, and conformant.  APPROVED.
Comment 3 Jaroslav Reznik 2009-04-15 10:32:02 EDT
Backgrounds are JPG, we need PNG for KSplash, must be sorted out...

1. could I have a hint?
2. ok, I forgot it (was on TODO)
3. kdm Leonidas.xml is GPLv2 copyrighted (actually it's GPLv2+, I have to correct it)
Comment 4 Jaroslav Reznik 2009-04-15 11:07:02 EDT
New Package CVS Request
=======================
Package Name: leonidas-kde-theme
Short Description: Leonidas KDE Theme
Owners: jreznik rdieter kkofler than ltinkl
Branches: F-11
Comment 5 Kevin Fenzi 2009-04-16 00:34:47 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.